Index Page b1900_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble b1900_c ( void )

#### Abstract

       Return the Julian Date corresponding to Besselian Date 1900.0.

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       The function returns the Julian Date corresponding to Besselian
       date 1900.0.

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns 2415020.31352, the Julian Date corresponding
       to Besselian Date 1900.0 as reported by Lieske [1].

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       Lieske [1] defines a mapping from Julian Ephemeris Date
       to Besselian:

          BE = 1900. + (JED - 2415020.31352)/365.242198781

       The inverse mapping being:

          JED = (BE - 1900.)*365.242198781 + 2415020.31352

#### Examples

       The following code fragment illustrates the use of b1900_c.

          /.
          Convert Julian Date to UTC seconds past the reference
          epoch (B1900).
          ./

          spref = ( jd - b1900_c() ) * spd_c();

#### Restrictions

       None.

#### Literature_References

       [1] Jay Lieske, ``Precession Matrix Based on IAU (1976)
           System of Astronomical Constants,'' Astron. Astrophys.
           73, 282-284 (1979).

#### Author_and_Institution

       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.1.0, 01-SEP-2005 (EDW)

           Added journal reference and associated citations.

       -CSPICE Version 1.0.1, 08-FEB-1998 (EDW)

           Corrected and clarified header entries.

       -CSPICE Version 1.0.0, 25-OCT-1997 (EDW)

#### Index_Entries

       besselian date 1900.0

#### Link to routine b1900_c source file b1900_c.c

    Wed Apr  5 17:54:28 2017